Page MenuHomePhabricator

SVGMessageGroupTest::testImportTranslations is failing on PHP 7.2
Closed, ResolvedPublic

Description

00:06:43 1) SVGMessageGroupTest::testImportTranslations
00:06:43 count(): Parameter must be an array or an object that implements Countable
00:06:43 
00:06:43 /workspace/src/extensions/Translate/utils/MessageGroupStats.php:173
00:06:43 /workspace/src/extensions/TranslateSvg/tests/phpunit/SVGMessageGroupTest.php:92
00:06:43 /workspace/src/tests/phpunit/MediaWikiTestCase.php:424
00:06:43 /workspace/src/maintenance/doMaintenance.php:94

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-docker/557/consoleFull

Event Timeline

Legoktm created this task.Oct 13 2018, 7:16 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptOct 13 2018, 7:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krinkle moved this task from Untriaged to Other on the PHP 7.2 support board.Oct 14 2018, 2:42 AM
xSavitar triaged this task as Medium priority.
xSavitar added a subscriber: xSavitar.

The error happens in the translate extension.

Change 467120 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/Translate@master] Fix testImportTranslations failing test in TranslateSvg

https://gerrit.wikimedia.org/r/467120

Change 467120 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix testImportTranslations failing test in TranslateSvg

https://gerrit.wikimedia.org/r/467120

xSavitar closed this task as Resolved.Oct 16 2018, 1:53 PM